-- Table: template_definition
CREATE TABLE [template_definition] (
    [template_definition_id] int NOT NULL,
    [base_gobject_id] int NOT NULL DEFAULT ((0)),
    [original_template_tagname] nvarchar(32) NOT NULL DEFAULT (''),
    [required_features] nvarchar(256) NULL,
    [supported_features] nvarchar(256) NULL,
    [category_id] smallint NOT NULL,
    [category_clsid] uniqueidentifier NULL,
    [runtime_clsid] uniqueidentifier NULL,
    [base_template_location] nchar(260) NOT NULL DEFAULT (''),
    [vendor_name] nvarchar(256) NULL,
    [major_version] smallint NULL,
    [codebase] nvarchar(322) NULL,
    [codebase_minor_version] int NOT NULL DEFAULT ((0)),
    [event_mask] int NOT NULL DEFAULT ((0)),
    CONSTRAINT [PK_template_definition] PRIMARY KEY ([template_definition_id])
);
GO

